Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: Juri Linkov <[email-masked]>
Date: Sat, 01 May 2021 23:06:05 +0300

>> I tried to add a message at the top of window--display-buffer,
>> and there are no more flashes when a message is displayed.
>>
>> Then tried to add `(sit-for 0)' to window--display-buffer,
>> and no flashes anymore too.  So it seems this is a Heisenbug.
>
> Is the behavior in any way frame related - do you resize your frame, add
> a tab bar, resize the tab bar?  I did not touch the Emacs window code.

No frame resizes, the frame always stays maximized and undecorated,
and the tab bar is not resized.